Bug 208560 - [NEW PORT] sysutils/py-uptime: Cross-platform uptime library
Summary: [NEW PORT] sysutils/py-uptime: Cross-platform uptime library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature, patch
Depends on:
Blocks: 208561
  Show dependency treegraph
 
Reported: 2016-04-05 21:07 UTC by uros
Modified: 2016-09-06 00:42 UTC (History)
3 users (show)

See Also:


Attachments
port file (1.45 KB, application/x-shar)
2016-04-05 21:07 UTC, uros
no flags Details
Fixed port file (1.44 KB, application/x-shar)
2016-04-05 21:10 UTC, uros
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description uros 2016-04-05 21:07:24 UTC
Created attachment 169016 [details]
port file
Comment 1 uros 2016-04-05 21:10:05 UTC
Created attachment 169017 [details]
Fixed port file

Fixed portlint issues
Comment 2 uros 2016-08-04 10:25:21 UTC
Any objections not to commit this to ports tree?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-04 11:30:46 UTC
Review items:

Make USES=python explicit for versions (2.5+)
Missing LICENSE_FILE (COPYING.txt exists in WRKSRC)
Missing a post-install: $STRIP_CMD /path/to/library.so

Hint: Add DEVELOPER=yes in /etc/make.conf for extra ports sanity checks

I'll add the above changes and QA (poudriere) against at least i386/amd64 and Python 2.7 and 3.5. 

It would be great for future Python contributions if you could provide the same QA confirmation
Comment 4 commit-hook freebsd_committer 2016-08-04 12:04:47 UTC
A commit references this bug:

Author: koobs
Date: Thu Aug  4 12:04:33 UTC 2016
New revision: 419607
URL: https://svnweb.freebsd.org/changeset/ports/419607

Log:
  [NEW] sysutils/py-uptime: Cross-platform uptime library

  This module provides a cross-platform way to retrieve system uptime and boot
  time. See documentation for a full list of supported platforms (yours is likely
  one of them).

  WWW: https://github.com/Cairnarvon/uptime

  PR:		208560
  Submitted by:	Uros <uros.gruber gmail com>

Changes:
  head/sysutils/Makefile
  head/sysutils/py-uptime/
  head/sysutils/py-uptime/Makefile
  head/sysutils/py-uptime/distinfo
  head/sysutils/py-uptime/pkg-descr
Comment 5 uros 2016-08-04 18:40:22 UTC
Thanks, I'll do my best next time.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-05 07:52:01 UTC
Committed with QA changes (see comment 3)

Thank you Uros!